/* eslint-disable react/prop-types */
import { useState } from 'react';
import PropTypes from 'prop-types';
import Chevronright from '@s-ui/react-icons/lib/Chevronright';
import { breadcrumbClassName } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export default function BreadcrumbBasic(_ref) {
  var items = _ref.items,
      icon = _ref.icon,
      Link = _ref.linkFactory,
      _ref$isScrollable = _ref.isScrollable,
      isScrollable = _ref$isScrollable === void 0 ? false : _ref$isScrollable;

  var _useState = useState(false),
      isExpanded = _useState[0],
      setIsExpanded = _useState[1];

  var expandBreadcrumb = function expandBreadcrumb() {
    return setIsExpanded(true);
  };

  var IconAngle = icon || Chevronright;
  var numItems = items.length - 1;
  return /*#__PURE__*/_jsx("nav", {
    "aria-label": "breadcrumb",
    role: "navigation",
    children: /*#__PURE__*/_jsxs("div", {
      className: breadcrumbClassName({
        isExpanded: isExpanded,
        isScrollable: isScrollable
      }),
      children: [/*#__PURE__*/_jsx("button", {
        onClick: expandBreadcrumb,
        className: "sui-BreadcrumbBasic-btn",
        children: "..."
      }), /*#__PURE__*/_jsx("ul", {
        className: "sui-BreadcrumbBasic-list",
        children: items.map(function (_ref2, index) {
          var url = _ref2.url,
              label = _ref2.label;
          return /*#__PURE__*/_jsxs("li", {
            className: "sui-BreadcrumbBasic-listItem",
            children: [index !== 0 && index <= numItems && /*#__PURE__*/_jsx(IconAngle, {
              svgClass: "sui-BreadcrumbBasic-icon"
            }), url ? /*#__PURE__*/_jsx(Link, {
              to: url,
              href: url,
              className: "sui-BreadcrumbBasic-link",
              children: label
            }) : label]
          }, index);
        })
      })]
    })
  });
}
BreadcrumbBasic.displayName = 'BreadcrumbBasic';
BreadcrumbBasic.defaultProps = {
  linkFactory: function linkFactory(_ref3) {
    var to = _ref3.to,
        href = _ref3.href,
        className = _ref3.className,
        children = _ref3.children;
    return /*#__PURE__*/_jsx("a", {
      href: to || href,
      className: className,
      children: children
    });
  }
};